Create a service

Creates a new service. Name and amount are required. All other fields are optional.

POST
/v1/services

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/services" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "amount": 0  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "amount": 0,
  "notes": {},
  "createdAt": "string",
  "updatedAt": "string",
  "users": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "firstName": "string",
      "lastName": "string",
      "avatarUrl": "string",
      "email": "user@example.com"
    }
  ],
  "deals": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string"
    }
  ],
  "tasks": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "type": "userPendingAuthorization"
    }
  ],
  "customFieldValues": [
    {
      "columnId": "b0676e1a-d8a0-4c5f-99e7-a0ee8909f6dd",
      "value": "string"
    }
  ]
}
"string"
"string"
"string"
"string"